Name:           jbossxb
Version:        2.0.3
Release:        %mkrel 9
Summary:        JBoss XML Binding

Group:          Development/Java

License:        LGPLv2+
URL:            http://www.jboss.org

# svn export http://anonsvn.jboss.org/repos/common/jbossxb/tags/2.0.3.GA/ jbossxb-2.0.3
# tar cJf jbossxb-2.0.3.tar.xz jbossxb-2.0.3/
Source0:        %{name}-%{version}.tar.xz

BuildArch:      noarch

BuildRequires:  maven-local
BuildRequires:  mvn(com.wutka:dtdparser)
BuildRequires:  mvn(org.jboss:jboss-common-core)
BuildRequires:  mvn(org.jboss:jboss-parent:pom:)
BuildRequires:  mvn(org.jboss:jboss-reflect)
BuildRequires:  mvn(org.jboss.logging:jboss-logging)
BuildRequires:  mvn(org.jboss.spec.javax.xml.bind:jboss-jaxb-api_2.2_spec)
BuildRequires:  mvn(stax:stax)
# Required by stax-ri but not resolved
BuildRequires:  mvn(stax:stax-api)
BuildRequires:  mvn(xerces:xercesImpl)
BuildRequires:  mvn(xml-apis:xml-apis)

%description
JBoss XML Binding.

%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q

# can't compile stuff in the test dir...missing deps: jboss-test
rm -rf src/test

find -type f -name *.jar -delete
find -type f -name *.class -delete

%pom_change_dep org.jboss.logging:jboss-logging-spi org.jboss.logging:jboss-logging
%pom_add_dep stax:stax
%pom_add_dep org.jboss.spec.javax.xml.bind:jboss-jaxb-api_2.2_spec
%pom_remove_dep sun-jaxb:jaxb-api
%pom_remove_dep javax.activation:activation
%pom_remove_dep org.jboss.test:jboss-test

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%files javadoc -f .mfiles-javadoc



%changelog
* Sat Feb 27 2016 daviddavid <daviddavid> 2.0.3-9.mga6
+ Revision: 979963
- First rebuild of the java stack
- sync package jbossxb with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Tue Jan 20 2015 daviddavid <daviddavid> 2.0.3-8.mga5
+ Revision: 811626
- Sync with fc21

* Wed Oct 15 2014 umeabot <umeabot> 2.0.3-7.mga5
+ Revision: 738970
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Tue Dec 31 2013 dmorgan <dmorgan> 2.0.3-5.mga4
+ Revision: 563394
- Remove jboss-logging-spi from deps

* Sun Dec 22 2013 dmorgan <dmorgan> 2.0.3-4.mga4
+ Revision: 559858
- Build with maven-local

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 2.0.3-2.mga3
+ Revision: 355227
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 21 2012 gil <gil> 2.0.3-1.mga2
+ Revision: 199157
- imported package jbossxb

